Skip to main content
`Ctrl`+`K`

# DMDAVecRestoreArrayRead

Restores a multiple dimension array obtained with `DMDAVecGetArrayRead()`

## Synopsis

    #include "petscdmda.h"
    PetscErrorCode DMDAVecRestoreArrayRead(DM da, Vec vec, void *array)

Not Collective

## Input Parameters

- da - the `DMDA`

- vec - vector the same size as one obtained with `DMCreateGlobalVector()` or `DMCreateLocalVector()`

- array - the `array` pointer

## See Also

DMDA - Creating vectors for structured grids, DMDA - Setting vector values, `DM`, `DMDA`, `DMDAGetGhostCorners()`, `DMDAGetCorners()`, `VecGetArray()`, `VecRestoreArray()`, `DMDAVecGetArrayRead()`, `DMDAVecGetArray()`, `DMDAVecRestoreArray()`, `DMDAVecGetArrayWrite()`, `DMDAVecRestoreArrayWrite()`, `DMStagVecRestoreArrayRead()`

## Level

intermediate

## Location

src/dm/impls/da/dagetarray.c

## Examples

src/snes/tutorials/ex3k.kokkos.cxx
src/snes/tutorials/ex3.c
src/snes/tutorials/ex14.c
src/tao/unconstrained/tutorials/burgers_spectral.c
src/ksp/ksp/tutorials/ex43.c
src/snes/tutorials/ex19.c
src/dm/tutorials/ex2.c
src/dm/tutorials/ex3.c
src/snes/tutorials/ex78.c
src/snes/tutorials/ex15.c

Index of all DMDA routines
Table of Contents for all manual pages
Index of all manual pages